Bug 1970497 - Backport enabling of pprof metrics for OpenShift SDN
Summary: Backport enabling of pprof metrics for OpenShift SDN
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Christoph Stäbler
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1972183
TreeView+ depends on / blocked
 
Reported: 2021-06-10 15:03 UTC by Matthew Robson
Modified: 2021-06-16 09:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1972183 (view as bug list)
Environment:
Last Closed: 2021-06-15 11:58:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1129 0 None open [release-4.7] config: Set enable-profiling true by default and allow `enable-profiling` as a proxy argument 2021-06-14 15:57:35 UTC

Description Matthew Robson 2021-06-10 15:03:47 UTC
Description of problem:

Enable pprof by default for OpenShift SDN.

Enable by default in 4.8 via: https://github.com/openshift/cluster-network-operator/pull/988

Would aid in debugging without the need to scale down CVO / CNO and restart pods.

Version-Release number of selected component (if applicable):

4.6.x/4.7.x

How reproducible:
Always

Steps to Reproduce:
1. N/A

Actual results:

Not on by default

Expected results:


Additional info:

Can be enabled today via:

oc scale -n openshift-cluster-version deployments/cluster-version-operator --replicas 0

oc -n openshift-network-operator scale deployment/network-operator --replicas 0

oc -n openshift-sdn edit configmap sdn-config

Set: enableProfiling: true

Save and exit


Note You need to log in before you can comment on or make changes to this bug.